Mailinglist Archive: opensuse-factory (742 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180324 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180324

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa
Mesa-drivers
NetworkManager-openvpn
abiword
alkimia (7.0 -> 7.0.1)
analitza (17.12.2 -> 17.12.3)
anjuta
anjuta-extras
attr
avahi
bash
binutils
blinken (17.12.2 -> 17.12.3)
bovo (17.12.2 -> 17.12.3)
branding-openSUSE
ca-certificates
calligra (3.0.1 -> 3.1.0)
cervisia (17.12.2 -> 17.12.3)
chrome-gnome-shell (10 -> 10.1)
desktop-translations (84.87.20180308.779a35a -> 84.87.20180321.47fa9a4e)
dhcp
dracut
dwz
emacs
epiphany
ffmpegthumbs (17.12.2 -> 17.12.3)
ft2demos
gegl
gitg
gnome-music (3.28.0 -> 3.28.0.1)
gnome-online-accounts (3.27.92 -> 3.28.0)
gnome-photos (3.27.92 -> 3.28.0)
gnome-shell
goffice
gstreamer
gstreamer-plugins-base
gstreamer-plugins-good
gtg
gthumb
gtk4
gtksourceview (3.24.6 -> 3.24.7)
hplip
installation-images-Kubic (14.361 -> 14.364)
juk (17.12.2 -> 17.12.3)
kalarm (17.12.2 -> 17.12.3)
kalgebra (17.12.2 -> 17.12.3)
kalzium (17.12.2 -> 17.12.3)
kanagram (17.12.2 -> 17.12.3)
kapptemplate (17.12.2 -> 17.12.3)
katomic (17.12.2 -> 17.12.3)
kbd
kblackbox (17.12.2 -> 17.12.3)
kblocks (17.12.2 -> 17.12.3)
kbounce (17.12.2 -> 17.12.3)
kbreakout (17.12.2 -> 17.12.3)
kbruch (17.12.2 -> 17.12.3)
kcachegrind (17.12.2 -> 17.12.3)
kcron (17.12.2 -> 17.12.3)
kde-print-manager (17.12.2 -> 17.12.3)
kdeedu-data (17.12.2 -> 17.12.3)
kdegraphics-thumbnailers (17.12.2 -> 17.12.3)
kdesdk-scripts (17.12.2 -> 17.12.3)
kdf (17.12.2 -> 17.12.3)
kdiamond (17.12.2 -> 17.12.3)
keditbookmarks (17.12.2 -> 17.12.3)
kernel-source (4.15.10 -> 4.15.11)
kgeography (17.12.2 -> 17.12.3)
kgoldrunner (17.12.2 -> 17.12.3)
khangman (17.12.2 -> 17.12.3)
kig (17.12.2 -> 17.12.3)
kimagemapeditor (17.12.2 -> 17.12.3)
kiriki (17.12.2 -> 17.12.3)
kiten (17.12.2 -> 17.12.3)
kjumpingcube (17.12.2 -> 17.12.3)
klettres (17.12.2 -> 17.12.3)
klines (17.12.2 -> 17.12.3)
kmahjongg (17.12.2 -> 17.12.3)
kmediaplayer (5.43.0 -> 5.44.0)
kmines (17.12.2 -> 17.12.3)
kmouth (17.12.2 -> 17.12.3)
kmplot (17.12.2 -> 17.12.3)
knavalbattle (17.12.2 -> 17.12.3)
knetwalk (17.12.2 -> 17.12.3)
kolf (17.12.2 -> 17.12.3)
kollision (17.12.2 -> 17.12.3)
kolourpaint (17.12.2 -> 17.12.3)
konquest (17.12.2 -> 17.12.3)
kpat (17.12.2 -> 17.12.3)
kqtquickcharts (17.12.2 -> 17.12.3)
krdc (17.12.2 -> 17.12.3)
kreversi (17.12.2 -> 17.12.3)
krfb (17.12.2 -> 17.12.3)
krita (3.3.3 -> 4.0.0)
kshisen (17.12.2 -> 17.12.3)
ksirk (17.12.2 -> 17.12.3)
kspaceduel (17.12.2 -> 17.12.3)
ksquares (17.12.2 -> 17.12.3)
ksudoku (17.12.1 -> 17.12.3)
ksystemlog (17.12.2 -> 17.12.3)
kteatime (17.12.2 -> 17.12.3)
ktimer (17.12.2 -> 17.12.3)
ktouch (17.12.2 -> 17.12.3)
ktuberling (17.12.2 -> 17.12.3)
kturtle (17.12.2 -> 17.12.3)
kubrick (17.12.2 -> 17.12.3)
kwordquiz (17.12.2 -> 17.12.3)
libcontainers-common
libdb-4_8
libgnome
libgnomeui
libgpg-error
libkdegames (17.12.2 -> 17.12.3)
libkeduvocdocument (17.12.2 -> 17.12.3)
libkgeomap (17.12.2 -> 17.12.3)
libkmahjongg (17.12.2 -> 17.12.3)
libopenmpt (0.2.8461~beta26 -> 0.3.7)
libqt5-qtmultimedia
libqt5-qtwebengine (5.10.0 -> 5.10.1)
libtirpc (1.0.2 -> 1.0.3)
libvirt
libvorbis (1.3.5 -> 1.3.6)
libzypp-plugin-appdata (1.0.1+git.20170629 -> 1.0.1+git.20180321)
lokalize (17.12.2 -> 17.12.3)
lskat (17.12.2 -> 17.12.3)
mariadb
mbox-importer (17.12.2 -> 17.12.3)
meld
mozilla-nspr (4.18 -> 4.19)
mozilla-nss (3.35 -> 3.36)
multipath-tools (0.7.3+53+suse.140f4937e9e7 -> 0.7.3+59+suse.1b6191c26774)
nautilus (3.28.0 -> 3.28.0.1)
nautilus-sendto
nmap (7.60 -> 7.70)
nss_ldap
okteta (17.12.2 -> 17.12.3)
ovmf (2017+git1510945757.b2662641d5 -> 2018+git1521096615.b3fa393f477a)
p11-kit
parley (17.12.2 -> 17.12.3)
patterns-office
perl-DBI (1.640 -> 1.641)
perl-Date-Manip
perl-Text-CSV_XS (1.34 -> 1.35)
php7
pidgin
pim-data-exporter (17.12.2 -> 17.12.3)
pim-sieve-editor (17.12.2 -> 17.12.3)
podofo
postfix
poxml (17.12.2 -> 17.12.3)
python-gobject (3.28.0 -> 3.28.1)
python-lxml (4.1.1 -> 4.2.0)
python-pyOpenSSL
qemu
qemu-linux-user
qqc2-desktop-style (5.43.0 -> 5.44.0)
rdma-core
re2 (20180201 -> 20180301)
readline
ruby2.5
sane-backends
sddm
sound-juicer
step (17.12.2 -> 17.12.3)
sweeper (17.12.2 -> 17.12.3)
sysconfig
texlive
texlive-specs-m
texlive-specs-n
transmission (2.92 -> 2.93)
ucode-intel
umbrello (17.12.2 -> 17.12.3)
virtualbox (5.2.8_k4.15.10_1 -> 5.2.8_k4.15.11_1)
which
wicked (0.6.45 -> 0.6.47)
xdm
xorg-x11-fonts
xscreensaver
yast2-firstboot (4.0.3 -> 4.0.4)
yast2-fonts (3.2.0 -> 3.2.1)
yast2-ftp-server (4.0.3 -> 4.0.4)
yast2-python-bindings (4.0.2 -> 4.0.3)

=== Details ===

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-libEGL-devel Mesa-libEGL1 Mesa-libGL-devel
Mesa-libGL1 Mesa-libglapi0 libgbm1 libwayland-egl1

- Update to 18.0.0-rc5
* The fifth and final release candidate for Mesa 18.0.0. Modulo
serious regressions, it is anticipated that it will become
Mesa 18.0.0 this Friday (2018-03-23) around 16:00 GMT
- supersedes u_glsl-linker-error.patch
- no longer try to use non-existing python3-mako as BuildRequires
on Leap 42.3
- u_st-dri-don-t-set-queryDmaBufFormats-queryDmaBufModif.patch
* Fixes laggy mouse in Wayland. (fdo#104926)

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-gallium Mesa-libva libvdpau_r300 libvdpau_r600
libvdpau_radeonsi libvulkan_radeon libxatracker2

- Update to 18.0.0-rc5
* The fifth and final release candidate for Mesa 18.0.0. Modulo
serious regressions, it is anticipated that it will become
Mesa 18.0.0 this Friday (2018-03-23) around 16:00 GMT
- supersedes u_glsl-linker-error.patch
- no longer try to use non-existing python3-mako as BuildRequires
on Leap 42.3
- u_st-dri-don-t-set-queryDmaBufFormats-queryDmaBufModif.patch
* Fixes laggy mouse in Wayland. (fdo#104926)

==== NetworkManager-openvpn ====
Subpackages: NetworkManager-openvpn-gnome NetworkManager-openvpn-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== abiword ====
Subpackages: libabiword-3_0

- Drop --with-pic configure parameter: since we disable static
libs, it has no effect.
- Add missing pkgconfig(libjpeg) BuildRequires: Previously pulled
in by libwmf.
- Stop handling desktop_database_post(un) in post(un), no longer
needed since file-triggers takes care of this now.
- Drop update-desktop-files BuildRequires and stop passing
suse_update_desktop_file macro.
- Run spec-cleaner, modernize spec.

==== alkimia ====
Version update (7.0 -> 7.0.1)
Subpackages: libalkimia-devel libalkimia7

- update to version 7.0.1:
* now also supports MPIR instead of GMP

==== analitza ====
Version update (17.12.2 -> 17.12.3)
Subpackages: analitza-lang libAnalitza5

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== anjuta ====
Subpackages: anjuta-lang libanjuta-3-0

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== anjuta-extras ====
Subpackages: anjuta-extras-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== attr ====
Subpackages: libattr-devel libattr1 libattr1-32bit

- Use %license instead of %doc [bsc#1082318]

==== avahi ====
Subpackages: avahi-compat-mDNSResponder-devel avahi-lang libavahi-client3
libavahi-client3-32bit libavahi-common3 libavahi-common3-32bit libavahi-core7
libavahi-devel libdns_sd

- Drop the qt3 parts

==== bash ====
Subpackages: bash-doc bash-lang

- Make sure that correct readline-devel version is used (current 7.0)
- Correct documentation path
- Due package split removed patches (for the bots)
* readline-6.2-xmalloc.dif
* readline-6.2-endpw.dif
* readline-6.3-destdir.patch
* readline-6.2-metamode.patch
* readline-7.0.dif
* readline-6.3-input.dif
* readline-5.2-conf.patch
* readline-6.3-rltrace.patch
- Split readline off into its own package

==== binutils ====
Subpackages: binutils-devel

- Update binutils-2.30-branch.diff: 2.30 branch @7c78c26eefbb8
* Includes more complete fix for PR20882.
* Includes fix for PR22836. [boo#1085784]
* Includes fix for PR22983.

==== blinken ====
Version update (17.12.2 -> 17.12.3)
Subpackages: blinken-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== bovo ====
Version update (17.12.2 -> 17.12.3)
Subpackages: bovo-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== branding-openSUSE ====
Subpackages: grub2-branding-openSUSE plymouth-branding-openSUSE
wallpaper-branding-openSUSE xfce4-splash-branding-openSUSE
yast2-qt-branding-openSUSE

- Fixup gfxboot/config to show 'openSUSE Tumbleweed' instead of
'openSUSE Leap' by default (boo#1085569).

==== ca-certificates ====

- Use %license instead of %doc [bsc#1082318]

==== calligra ====
Version update (3.0.1 -> 3.1.0)
Subpackages: calligra-doc calligra-extras-dolphin calligra-extras-okular
calligra-lang calligra-sheets calligra-stage calligra-words

- Update to 3.1.0:
* Gemini, the KDE Office suite for 2-in-1 devices, is back
* Braindump has been dropped
* General
+ Picture shape tool: Paint crop rectangle and its handles
with 1px wide outline (kde#388930)
Due to the painter scaling the pen width (1 by default) was
scaled too, which caused the outlines to cover the whole
image
+ Textlayout: Do not enter infinite loop when line rect is not
valid
+ Add RTF support to Okular (kde#339835)
* Sheets:
+ LaTeX export: Fix typo in UI string (kde#380030)
* Gemini:
+ Port to KDE Frameworks 5
+ Port the welcome screen to Kirigami
+ Port to using the Qt Quick 2 based Calligra components
(based on work done for Jolla Documents)
+ Port to using libgit2 directly for git support (as the
Qt support library has become unmaintained)
+ Fix template support
- Drop fix-build-with-newer-kcalcore.patch, merged upstream
- Drop braindump and plan subpackages, those applications are no
longer included (Plan is released separately now)
- Add back gemini subpackage, it has been ported

==== cervisia ====
Version update (17.12.2 -> 17.12.3)
Subpackages: cervisia-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== chrome-gnome-shell ====
Version update (10 -> 10.1)

- Update to version 10.1:
+ Firefox: multiple fixes of GNOME Shell extensions
synchronization.
+ Firefox 56 is minimum supported version now. ESR users should
use browser extension version 10.0.1.
+ Known issues:
- In Firefox with enabled synchronization of GNOME Shell
extensions all Shell extensions may be removed after screen
got locked because of missed support of "locked" idle state
in WebExtensions API implementation.
- Chrome extension may be auto uninstalled after upgrade to
connector version 10. It can be restored using inline
installation link at https://extensions.gnome.org or using
Chrome Store.
- Firefox can consume a lot of CPU and sometime crash on quit
because of Mozilla's bug bmo#1349874.
+ Updated translations.
- Stop using source service, upstream now does regular releases.

==== desktop-translations ====
Version update (84.87.20180308.779a35a -> 84.87.20180321.47fa9a4e)

- Update to version 84.87.20180321.47fa9a4e:
* Strip whitespace from xml extracted strings
* Translated using Weblate (Arabic)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Dutch)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hungarian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Swedish)
- Update to version 84.87.20180319.d4e87748:
* Translated using Weblate (Arabic)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Dutch)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hungarian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Korean)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)
* Translated using Weblate (Swedish)
* Update with Leap 15 strings

==== dhcp ====
Subpackages: dhcp-client dhcp-doc dhcp-relay dhcp-server

- Update to dhcp-4.3.6-P1:
* CVE-2018-5733, bsc#1083303: reference count overflow in dhcpd.
* CVE-2018-5732, bsc#1083302: buffer overflow bug in dhclient.
* Plugged a socket descriptor leak in OMAPI
* The server now allows the client identifier (option 61) to own
leases in more than one subnet concurrently [ISC-Bugs #41358].
* When replying to a DHCPINFORM, the server will now include
options specified at the pool scope, provided the ciaddr field
of the DHCPINFORM is populated.
[ISC-Bugs #43219] [ISC-Bugs #45051].
* When memory allocation fails in a repeated way the process
writes "Run out of memory." on the standard error and exists
with status 1 [ISC-Bugs #32744].
* The new lmdb (Lightning Memory DataBase) bind9 configure
option is now disabled by default to avoid the presence of
this library to be detected which can lead to a link failure.
[ISC-Bugs #45069]
* The linux interface discovery code has been modified to use
getifaddrs() as is done for BSD and OS-X.
[ISC-Bugs #28761] and others.
* Fixed a bug in OMAPI that causes omshell to crash when a
name-value pair with a zero length value is shipped in an
object [ISC-Bugs #29108].
* On 64-bit platforms, dhclient now generates the correct value
for the script environment variable, "expiry", the lease
expiry value exceeds 0x7FFFFFFF [ISC-Bugs #43326].
* Common timer logic was modified to cap the maximum timeout
values at 0x7FFFFFFF - 1 [ISC-Bugs #28038].
* DHCP6 FQDN option unpacking code now correctly handles values
that contain spaces, special, or non-printable characters.
[ISC-Bugs #43592]
* When running in -6 mode, dhclient can enforce the require
option statement and will discard offered leases that do not
contain all the required options specified in the client
configuration [ISC-Bugs #41473].
* Altered DHCPv4 lease time calculation to avoid roll over
errors on 64-bit OS systems when using -1 or large values
for default-lease-time [ISC-Bugs #41976],
* Added --dad-wait-time parameter to dhclient [ISC-Bugs #36169].
* The server nows checks both the address and length of a
prefix delegation when attempting to match it to a prefix
pool [ISC-Bugs #35378].
* Modified DDNS support initialization such that DNS related
ports will only be opened by the server (dhcpd) at startup
if ddns-update-style is not "none"; by dhclient only if and
when the it first attempts an update; and never by dhcrelay.
[ISC-Bugs #45290] [ISC-Bugs #33377]
* Added error logging to two memory allocation failure checks.
[ISC-Bugs #41185]
* Corrected a dhclient -6 issue that caused the client to crash
with an "Impossible condition" error after de-preferencing its
only IA binding [ISC-Bugs #44373].
* By defining CALL_SCRIPT_ON_ONETRY_FAIL in includes/site.h,
dhclient will now call the script with reason set to FAIL when
run with -1 (one try) and there are no server responses.
[ISC-bugs #18183]
* The server now detects failover peers that are not referenced
in at least one pool when run with the command line option for
test mode, -T [ISC-Bugs #29892].
* Linux script updated [ISC-bugs #19430] [ISC-bugs #18111].
* Changed severity of the log message indicating UDP checksum
errors in the received packets from 'info' to 'debug'.
[ISC-bugs #41757]
* Corrected a bug which could cause the server to sporadically
crash while loading lease files with the lease-id-format is
set to "hex" [ISC-Bugs #43185].
- Obsoleted patches:
* 0011-Fixed-linux-interface-discovery-using-getifaddrs.patch
* 0019-dhcp-4.2.4-P1-interval.patch
* 0021-master-Plugs-a-socket-descriptor-leak-in-OMAPI.patch
* 0022-Optimized-if-and-when-DNS-client-context-and-ports.patch

==== dracut ====

- Use %license instead of %doc [bsc#1082318]
- Instead of using arping, use wicked's own implementation (bsc#1078245)
Follow-up patch to "disable arping", requires wicked 0.6.46.
* adds 0563-40network-collapse-arping-and-dhcp-calls-into-wicked.patch
- Wicked: Properly add set gateway variable when using dhcp (bsc#1085614)
* adds 0564-40network-Always-set-the-gw-variable.patch
- Allow booting from block devices using intel vmd (bsc#1079924)
* adds 0565-90kernel-modules-Include-Intel-Volume-Management-Dev.patch
- Enable aarch64 and adds critical drivers of ARM platform (bsc#1084272)
* adds 0562-Adjust-driver-list-to-modern-kernels.patch
- 95iscsi: Add the qedi driver to driver list for iscsi boot
* adds 0561-Add-the-qedi-driver-to-driver-list-for-iscsi-boot.patch

==== dwz ====

- Run spec-cleaner on the package.

==== emacs ====
Subpackages: emacs-info emacs-nox emacs-x11 etags

- Remove xorg-x11-devel from buildrequires, replace
by an extense list of pkgconfig()-style dependencies.

==== epiphany ====
Subpackages: epiphany-lang gnome-shell-search-provider-epiphany

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== ffmpegthumbs ====
Version update (17.12.2 -> 17.12.3)

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ft2demos ====
Subpackages: ftbench ftdiff ftdump ftgamma ftgrid ftinspect ftlint ftmulti
ftstring ftvalid ftview

- insert missing bzip2-devel for build in Leap 42.3
- Change xorg-x11-devel --> pkgconfig(x11)

==== gegl ====
Subpackages: gegl-0_3 gegl-0_3-lang libgegl-0_3-0

- Update to version 0.3.28:
+ New stable branch, long packaged as gegl-unstable in openSUSE,
changes far to many to list, please see NEWS packaged in
docs sub-package.
- Lots of BuildRequires, Requires and sub-package changes.
- Drop upstream fixed patches:
+ gegl-UF_long.patch.
+ gegl-lua52.patch.
+ gegl-0.2.0-CVE-2012-4433.patch.
+ gegl-ruby19.patch.
+ gegl-0.2.0-linker-flags.patch
- Fix SRPM group. Update descriptions. Remove idempotent
%if..%endif around %package.
- Modernize spec-file by calling spec-cleaner
- require liberation-fonts instead of liberation2-fonts, it is dead
[bsc#1077375] [rh#856239]
- Replace liberation-fonts BuildRequires with liberation2-fonts:
the new set works as well.
- Fix CVE-2012-4433 (bsc#789835):
+ Add gegl-0.2.0-CVE-2012-4433.patch: Fix buffer overflow in and
add plausibility checks to ppm-load op.
- Use pkgconfig instead of libffmpeg-devel
- Add gegl-0.2.0-linker-flags.patch to add -lm to linker flags.
- fix build for factory
* add patch: gegl-UF_long.patch
* newer suitesparse abandoned UF_long in favor for SuiteSparse_long
- fix build for graphics repo
* ugly fix, multiple provides of gd by gd and gd-tools from libgd2
- update license to new format
- Add gegl-ruby19.patch: Fix build with ruby 1.9.
- Add liberation-fonts: the documentation references bitstream
vera sans font, so we need to provide it for the build.
- Update to version 0.2.0:
+ OpenCL support
+ Build improvements.
+ High level API to apply ops directly to buffers with arguments.
+ Final bits of translation infrastructure.
+ Invalidate regions when disconnecting input pads.
+ Operations:
- New operation: global-matting
- Allow transform core to do perspective transforms.
- Added string based key/value pairs to operations.
- Added arguments for dealing with scaled down preview
rendering.
+ Added human interaction ranges and non-linear mapping to
properties.
+ Buffer:
- Removed broken lanczos sampler.
- Add gegl_buffer_set_color and gegl_buffer_set_pattern
- Added ability to drop cached tiles.
- Added API for handling abyss policy (not implemented yet)
- Avoid iterating global tile cache when flushing/destroying
buffers that have no tiles in the cache.
- Add intltool BuildRequires: new dependency upstream, for
translations.
- Add lensfun-devel BuildRequires to build with lensfun support.
- Add libexiv2-devel BuildRequires to build with libexiv2 support.
- Add libjasper-devel BuildRequires to build with Jasper support.
- Add libspiro-devel BuildRequires to build with SPIRO support.
- Add suitesparse-devel BuildRequires to build with UMFPACK
support.
- Uncomment ruby BuildRequires: it was commented out because a file
was missing in a earlier tarball.
- Rename subpackages from gegl-0_1/libgegl-0_1-0 to
gegl-0_2/libgegl-0_2-0 following the upstream soname change.
- Create a gegl-0_2-lang subpackage for new translations.
- Add gegl-lua52.patch: fix build with lua 5.2, while still being
compatible with lua 5.1.
- Update to version 0.1.8:
+ New operations: spread, vignette, map-relative,
noise-reduction, plasma, fractal-trace, exr-save, lens-correct,
emboss, cubism, ripple, color-to-alpha, color-rotate,
red-eye-removal, convolution-matrix, deinterlace,
polar-coordinates, lens-distortion, pixelise.
+ Split GeglView GTK Widget into separate utility library
+ build/test improvements.
+ Buffer:
- Added lohalo resampler, API and infrastructure for doing non
affine resamplings.
- Clean spec-file using spec-cleaner.
- Drop docs-build-fix.diff: fixed upstream.
- update to 0.1.6 (see NEWS)
? New operations: max-rgb, pixelise, motion blur.
? Fixed a bugs in matting-levin that made GEGL halt due to errors
detected by babl sanity code, this made 0.1.4 be unusable if you had
all dependendency when building.
? build/test improvements.
? Buffer:
Added API to use external tile backends, allowing to plug-in alien
tilebackends, for GIMP/Krita/OSM or similar.
- remove upstreamed patches bgo609706 bgo610680 (thanks, Vincent)
- BuildRequire graphviz-gd instead of graphviz: we do require png
capabilities, which are split out of the main package.
Theoretically, we should require graphviz-devel, but this package
also does not drag in -gd.
- Add gegl-fix-overflow.patch to fix overflow found by gcc 4.5.
- Update to version 0.1.2:
+ GeglLookup, configurable floating point lookup tables for lazy
computation.
+ Use GFileIOStream in GeglTileBackendFile.
+ Optimizations: in-place processing for point filters/composers,
SIMD version of gegl:opacity, avoid making unneccesary
sub-buffers, removed some manual instrumentation from critical
paths, improved speed of samplers.
+ Added xml composition/reference image based regression tests.
+ Added performance tracking framework.
+ Syntactic sugar using varargs for constructing gegl graphs from
C.
+ Build fixes on cygwin.
+ Gegl# fixes.
+ Initial, but unstable code towards multithreading.
+ Improvements to lua op in workshop.
+ Added new resamplers upsize, upsharp, upsmooth, downsize,
downsharp and downsmooth.
+ Removed gegl:tonemap and gegl:normal ops.
- Drop gegl-new-babl.patch: fixed upstream.
- Add gegl-fix-build.patch: remove printf that breaks build because
of missing include.
- Rename package from gegl-0_0 and libgegl-0_0-0 to gegl-0_1 and
libgegl-0_1-0 following soname bump.
- Add gegl-new-babl.patch to fix build with babl 0.1.2.
- Update to version 0.1.0:
+ Renamed gegl:load-buffer to gegl:buffer-source and
gegl:save-buffer to gegl:buffer-sink (but the old names still
work)
+ Represent colors using doubles instead of floats (this change
is independent from internal processing)
+ Removed the GTK+ UI parts of the gegl binary and turned gegl
into a pure command line tool (which can still visualize stuff
with help help the SDL based display operation)
+ Consider {x=G_MININT/2, y=G_MININT/2, width=G_MAXINT,
height=G_MAXINT} as the only valid region wichin processing
may occur. Processing outside of this region is undefined
behaviour.
+ Added support for storing allocation stack traces for
GeglBuffers so that debuging buffer leaks becomes much easier
+ Made small changes and cleanups of the public API, e.g.
- Removed gegl_node_adapt_child()
- Made GeglConfig an explicit object
- Removed most of the ifdeffed stuff to mask away internal
structures
- Added gegl_rectangle_infinite_plane() and
gegl_rectangle_is_infinite_plane()
+ Added new sampler GeglSamplerSharp
+ Added format property go gegl:buffer-sink
+ Cleaned up and made gegl:introspect work again
+ Add a bunch of test cases using the automake test sytem (make
check) and also port buffer tests to automake
+ General cleanups, bug fixes, increased robustness and improved
documentation
- Drop gegl-babl_api_change.patch: fixed upstream.
- Temporarly remove ruby BuildRequires as the build is broken when
it's there right now.
- Add gegl-babl_api_change.patch to make gegl build with babl
0.1.0. Patch taken from Fedora.
- Remove autoreconf call.
- Do not make gegl0_0 explicitly Requires libbabl-0_0-0.

==== gitg ====
Subpackages: gitg-lang libgitg-1_0-0 libgitg-ext-1_0-0

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gnome-music ====
Version update (3.28.0 -> 3.28.0.1)
Subpackages: gnome-music-lang

- Update to version 3.28.0.1:
+ data: Remove domain from ui files.
+ Updated translations.

==== gnome-online-accounts ====
Version update (3.27.92 -> 3.28.0)
Subpackages: gnome-online-accounts-lang libgoa-1_0-0 libgoa-backend-1_0-1
typelib-1_0-Goa-1_0

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
- Update to version 3.28.0:
+ Updated translations.

==== gnome-photos ====
Version update (3.27.92 -> 3.28.0)
Subpackages: gnome-photos-lang gnome-shell-search-provider-gnome-photos

- Update to version 3.28.0:
+ Don't use an intermediate Imports sub-directory for imported
content (glgo#GNOME/gnome-photos#89).
+ Updated translations.

==== gnome-shell ====
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar gnome-shell-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
- Fix patch tags for gnome-shell-private-connection.patch and
gnome-shell-private-connection.patch: both patches have been
rebased in time for 3.28.0.
- Switch to Recommends on gnome-bluetooth, we might avoid this
dependency on small setups without bluetooth (bsc#1067603).

==== goffice ====
Subpackages: goffice-lang libgoffice-0_10-10

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gstreamer ====
Subpackages: gstreamer-devel gstreamer-lang gstreamer-utils libgstreamer-1_0-0
typelib-1_0-Gst-1_0

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gstreamer-plugins-base ====
Subpackages: gstreamer-plugins-base-lang libgstallocators-1_0-0 libgstapp-1_0-0
libgstaudio-1_0-0 libgstfft-1_0-0 libgstpbutils-1_0-0 libgstriff-1_0-0
libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 libgsttag-1_0-0
libgstvideo-1_0-0 typelib-1_0-GstAudio-1_0 typelib-1_0-GstPbutils-1_0
typelib-1_0-GstTag-1_0 typelib-1_0-GstVideo-1_0

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gstreamer-plugins-good ====
Subpackages: gstreamer-plugins-good-extra gstreamer-plugins-good-jack
gstreamer-plugins-good-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gtg ====
Subpackages: gtg-lang

- Add gtg-fix-pynotify-crash.patch and python-notify Requires to
fix a crashing due to the lack of installed python-notify
(lp#1264846).

==== gthumb ====
Subpackages: gthumb-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gtk4 ====

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== gtksourceview ====
Version update (3.24.6 -> 3.24.7)
Subpackages: gtksourceview-lang libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
- Update to version 3.24.7:
+ GtkSourceView class: respect the GtkTextView:accepts-tab
property.
+ Syntax highlighting: sync all *.lang files from GtkSourceView
4.
+ Updated translations.
- Point fdupes to the data directory instead of the build root,
which is a practice that must be avoided.
- Conditionalize translation-update-upstream BuildRequires,
a SLE-only requirement.

==== hplip ====
Subpackages: hplip-hpijs hplip-sane

- photocard.py: fixed broken import statement (bsc#1071255)
* added photocard-fix-import-error-for-pcardext.patch
* spec file: fixed dependency for dbus-1-python
- Use python3 on tumbleweed and SLE15/Leap15 (bsc#1071255)
* add pcardext-python3-fixes.patch
* add hplip-misc-missing-includes-and-definitions.patch
* hp_ipp.h-add-missing-prototypes.patch
* spec file: replace "/usr/bin/env python" and "/usr/bin/python" with
desired interpreter
* spec file: add py2/py3 selection macros
* spec file: dropped python-openssl build dependency (not needed anymore)

==== installation-images-Kubic ====
Version update (14.361 -> 14.364)

- merge gh#openSUSE/installation-images#239
- add novnc & python3-websockify (bsc#1078785)
- 14.364
- merge gh#openSUSE/installation-images#238
- allow udevd to be run with --debug (bsc#1085212)
- 14.363
- merge gh#openSUSE/installation-images#237
- move tftpboot location (bsc#1085479)
- 14.362

==== juk ====
Version update (17.12.2 -> 17.12.3)
Subpackages: juk-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Extract Playlist::SharedSettings into a separate file.
* Stop playback before taking shutdown actions.
* More column-handling bugfixes in Playlist.
* Fix columns sorting. (kde#389130)
* Avoid crash on tree view mode by disabling tree view mode :( (kde#389937)

==== kalarm ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kalarm-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Fix icon on Wayland

==== kalgebra ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kalgebra-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kalzium ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kalzium-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* compoundviewer: use ${AvogadroLibs_INCLUDE_DIRS}

==== kanagram ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kanagram-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kapptemplate ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kapptemplate-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Remove code duplicating work of KAboutData::setupCommandLine()
* Remove bogus Ui::%{APPNAMELC}ViewBase from window class template
* Fix templates' KAboutData code to use appname param for display app name
* Remoe X-DocPath from desktop files of doc-less app template
* Fix templates to use normal casing for app name in desktop/appdata files

==== katomic ====
Version update (17.12.2 -> 17.12.3)
Subpackages: katomic-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kbd ====
Subpackages: kbd-legacy

- Do not cause error on UNICODE characters >= 0xF000 (e. g.
ligature fi) (bsc#1085432, kbd-unicode-fxxx.patch).

==== kblackbox ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kblackbox-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kblocks ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kblocks-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kbounce ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kbounce-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kbreakout ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kbreakout-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kbruch ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kbruch-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kcachegrind ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kcachegrind-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kcron ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kcron-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kde-print-manager ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kde-print-manager-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Fix Plasma applet printer job count

==== kdeedu-data ====
Version update (17.12.2 -> 17.12.3)

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kdegraphics-thumbnailers ====
Version update (17.12.2 -> 17.12.3)

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kdesdk-scripts ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kdesdk-scripts-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kdf ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kdf-lang kwikdisk

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kdiamond ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kdiamond-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== keditbookmarks ====
Version update (17.12.2 -> 17.12.3)
Subpackages: keditbookmarks-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kernel-source ====
Version update (4.15.10 -> 4.15.11)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Update config files (4.15.11).
- commit a1db525
- Linux 4.15.11 (bnc#1012628).
- drm/i915/glk: Disable Guc and HuC on GLK (bnc#1012628).
- dmaengine: qcom_hidma: check pending interrupts (bnc#1012628).
- IB/mlx5: revisit -Wmaybe-uninitialized warning (bnc#1012628).
- ima: relax requiring a file signature for new files with zero
length (bnc#1012628).
- locking/locktorture: Fix num reader/writer corner cases
(bnc#1012628).
- rcutorture/configinit: Fix build directory error message
(bnc#1012628).
- ipvlan: add L2 check for packets arriving via virtual devices
(bnc#1012628).
- Fix misannotated out-of-line _copy_to_user() (bnc#1012628).
- mmc: mmc_test: Ensure command queue is disabled for testing
(bnc#1012628).
- ASoC: nuc900: Fix a loop timeout test (bnc#1012628).
- crypto: caam/qi - use correct print specifier for size_t
(bnc#1012628).
- mac80211: remove BUG() when interface type is invalid
(bnc#1012628).
- mac80211_hwsim: enforce PS_MANUAL_POLL to be set after
PS_ENABLED (bnc#1012628).
- agp/intel: Flush all chipset writes after updating the GGTT
(bnc#1012628).
- arm64: dts: renesas: salvator-common: Add EthernetAVB PHY reset
(bnc#1012628).
- powerpc/64: Don't trace irqs-off at interrupt return to
soft-disabled context (bnc#1012628).
- powerpc/modules: Don't try to restore r2 after a sibling call
(bnc#1012628).
- drm/amdkfd: Fix memory leaks in kfd topology (bnc#1012628).
- veth: set peer GSO values (bnc#1012628).
- net: sched: drop qdisc_reset from dev_graft_qdisc (bnc#1012628).
- virtio_net: Disable interrupts if napi_complete_done rescheduled
napi (bnc#1012628).
- media: davinci: vpif_capture: add NULL check on devm_kzalloc
return value (bnc#1012628).
- media: cpia2: Fix a couple off by one bugs (bnc#1012628).
- dm raid: fix raid set size revalidation (bnc#1012628).
- media: vsp1: Prevent suspending and resuming DRM pipelines
(bnc#1012628).
- staging: fsl-dpaa2/eth: Fix access to FAS field (bnc#1012628).
- clk: renesas: r8a77970: Add LVDS clock (bnc#1012628).
- scsi: dh: add new rdac devices (bnc#1012628).
- scsi: devinfo: apply to HP XP the same flags as Hitachi VSP
(bnc#1012628).
- scsi: core: scsi_get_device_flags_keyed(): Always return device
flags (bnc#1012628).
- bnxt_en: Don't print "Link speed -1 no longer supported"
messages (bnc#1012628).
- spi: sun6i: disable/unprepare clocks on remove (bnc#1012628).
- tools/usbip: fixes build with musl libc toolchain (bnc#1012628).
- ath10k: fix invalid STS_CAP_OFFSET_MASK (bnc#1012628).
- mwifiex: cfg80211: do not change virtual interface during scan
processing (bnc#1012628).
- clk: qcom: msm8916: fix mnd_width for codec_digcodec
(bnc#1012628).
- bnxt_en: Uninitialized variable in bnxt_tc_parse_actions()
(bnc#1012628).
- drm/amdgpu: fix amdgpu_sync_resv v2 (bnc#1012628).
- drm/amdgpu:fix virtual dce bug (bnc#1012628).
- iwlwifi: mvm: avoid dumping assert log when device is stopped
(bnc#1012628).
- perf annotate: Fix objdump comment parsing for Intel mov
dissassembly (bnc#1012628).
- perf annotate: Fix unnecessary memory allocation for s390x
(bnc#1012628).
- pinctrl: sh-pfc: r8a7795-es1: Fix MOD_SEL1 bit[25:24] to 0x3
when using STP_ISEN_1_D (bnc#1012628).
- pinctrl: sh-pfc: r8a7791: Add can_clk function (bnc#1012628).
- drm/sun4i: Fix format mask in DE2 driver (bnc#1012628).
- pwm: stmpe: Fix wrong register offset for hwpwm=2 case
(bnc#1012628).
- scsi: ses: don't ask for diagnostic pages repeatedly during
probe (bnc#1012628).
- scsi: lpfc: Fix crash during driver unload with running nvme
traffic (bnc#1012628).
- drm/amdgpu:fix random missing of FLR NOTIFY (bnc#1012628).
- KVM: X86: Restart the guest when insn_len is zero and SEV is
enabled (bnc#1012628).
- cpufreq: Fix governor module removal race (bnc#1012628).
- ath10k: update tdls teardown state to target (bnc#1012628).
- iio: health: max30102: Add power enable parameter to get_temp
function (bnc#1012628).
- iio: adc: ina2xx: Shift bus voltage register to mask flag bits
(bnc#1012628).
- drm/etnaviv: make THERMAL selectable (bnc#1012628).
- power: supply: ab8500_charger: Bail out in case of error in
'ab8500_charger_init_hw_registers()' (bnc#1012628).
- power: supply: ab8500_charger: Fix an error handling path
(bnc#1012628).
- power: supply: sbs-message: double left shift bug in
sbsm_select() (bnc#1012628).
- bpf: fix stack state printing in verifier log (bnc#1012628).
- leds: pm8058: Silence pointer to integer size warning
(bnc#1012628).
- xfrm: Fix xfrm_replay_overflow_offload_esn (bnc#1012628).
- userns: Don't fail follow_automount based on s_user_ns
(bnc#1012628).
- mtd: nand: ifc: update bufnum mask for ver >= 2.0.0
(bnc#1012628).
- ARM: dts: omap3-n900: Fix the audio CODEC's reset pin
(bnc#1012628).
- ARM: dts: am335x-pepper: Fix the audio CODEC's reset pin
(bnc#1012628).
- net: thunderx: Set max queue count taking XDP_TX into account
(bnc#1012628).
- mtd: nand: fix interpretation of NAND_CMD_NONE in
nand_command[_lp]() (bnc#1012628).
- gpiolib: don't allow OPEN_DRAIN & OPEN_SOURCE flags
simultaneously (bnc#1012628).
- net: xfrm: allow clearing socket xfrm policies (bnc#1012628).
- perf report: Fix -D output for user metadata events
(bnc#1012628).
- rtc: brcmstb-waketimer: fix error handling in
brcmstb_waketmr_probe() (bnc#1012628).
- net: ieee802154: adf7242: Fix bug if defined DEBUG
(bnc#1012628).
- drm/vblank: Fix vblank timestamp debugs (bnc#1012628).
- test_firmware: fix setting old custom fw path back on exit
(bnc#1012628).
- crypto: cavium - fix memory leak on info (bnc#1012628).
- crypto: keywrap - Add missing ULL suffixes for 64-bit constants
(bnc#1012628).
- crypto: ecc - Fix NULL pointer deref. on no default_rng
(bnc#1012628).
- crypto: chelsio - Fix an error code in chcr_hash_dma_map()
(bnc#1012628).
- sched: Stop resched_cpu() from sending IPIs to offline CPUs
(bnc#1012628).
- sched: Stop switched_to_rt() from sending IPIs to offline CPUs
(bnc#1012628).
- dt-bindings: serial: Add common rs485 binding for RTS polarity
(bnc#1012628).
- USB: ledtrig-usbport: fix of-node leak (bnc#1012628).
- typec: tcpm: fusb302: Resolve out of order messaging events
(bnc#1012628).
- staging: rtl8822be: fix missing null check on dev_alloc_skb
return (bnc#1012628).
- drm/amdgpu: fix get_max_engine_clock_in_mhz (bnc#1012628).
- ARM: dts: exynos: Correct Trats2 panel reset line (bnc#1012628).
- clk: meson: gxbb: fix wrong clock for SARADC/SANA (bnc#1012628).
- ARM: dts: koelsch: Move cec_clock to root node (bnc#1012628).
- iwlwifi: mvm: rs: don't override the rate history in the search
cycle (bnc#1012628).
- HID: elo: clear BTN_LEFT mapping (bnc#1012628).
- KVM: PPC: Book3S HV: Fix typo in kvmppc_hv_get_dirty_log_radix()
(bnc#1012628).
- video/hdmi: Allow "empty" HDMI infoframes (bnc#1012628).
- dma-buf/fence: Fix lock inversion within dma-fence-array
(bnc#1012628).
- drm/edid: set ELD connector type in drm_edid_to_eld()
(bnc#1012628).
- KVM: PPC: Book3S HV: Avoid shifts by negative amounts
(bnc#1012628).
- HID: multitouch: Only look at non touch fields in first packet
of a frame (bnc#1012628).
- spi: imx: Fix failure path leak on GPIO request error correctly
(bnc#1012628).
- drm/panel: rpi-touchscreen: propagate errors in
rpi_touchscreen_i2c_read() (bnc#1012628).
- gfs2: Fixes to "Implement iomap for block_map" (2)
(bnc#1012628).
- gfs2: Clean up {lookup,fillup}_metapath (bnc#1012628).
- Revert "btrfs: use proper endianness accessors for super_copy"
(bnc#1012628).
- dm mpath: fix passing integrity data (bnc#1012628).
- earlycon: add reg-offset to physical address before mapping
(bnc#1012628).
- serial: core: mark port as initialized in autoconfig
(bnc#1012628).
- serial: 8250_pci: Add Brainboxes UC-260 4 port serial device
(bnc#1012628).
- usb: dwc3: Fix lock-up on ID change during system suspend/resume
(bnc#1012628).
- usb: gadget: f_fs: Fix use-after-free in ffs_fs_kill_sb()
(bnc#1012628).
- usb: usbmon: Read text within supplied buffer size
(bnc#1012628).
- usb: quirks: add control message delay for 1b1c:1b20
(bnc#1012628).
- usbip: vudc: fix null pointer dereference on udc->lock
(bnc#1012628).
- USB: storage: Add JMicron bridge 152d:2567 to unusual_devs.h
(bnc#1012628).
- scsi: sd_zbc: Fix potential memory leak (bnc#1012628).
- staging: android: ashmem: Fix lockdep issue during llseek
(bnc#1012628).
- staging: comedi: fix comedi_nsamples_left (bnc#1012628).
- uas: fix comparison for error code (bnc#1012628).
- tty/serial: atmel: add new version check for usart
(bnc#1012628).
- serial: sh-sci: prevent lockup on full TTY buffers
(bnc#1012628).
- xhci: fix endpoint context tracer output (bnc#1012628).
- xhci: Fix front USB ports on ASUS PRIME B350M-A (bnc#1012628).
- usb: host: xhci-rcar: add support for r8a77965 (bnc#1012628).
- ASoC: rt5651: Fix regcache sync errors on resume (bnc#1012628).
- ASoC: wm_adsp: For TLV controls only register TLV get/set
(bnc#1012628).
- ASoC: sgtl5000: Fix suspend/resume (bnc#1012628).
- ASoC: sun4i-i2s: Fix RX slot number of SUN8I (bnc#1012628).
- x86: Treat R_X86_64_PLT32 as R_X86_64_PC32 (bnc#1012628).
- commit 5c89418
- Update

patches.kernel.org/4.15.10-113-netfilter-ebtables-CONFIG_COMPAT-don-t-trust-.patch
references (add CVE-2018-1068).
- Update
patches.suse/netfilter-ebtables-fix-erroneous-reject-of-last-rule.patch
references (add CVE-2018-1068).
- commit 3127e9f

==== kgeography ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kgeography-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kgoldrunner ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kgoldrunner-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== khangman ====
Version update (17.12.2 -> 17.12.3)
Subpackages: khangman-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kig ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kig-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kimagemapeditor ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kimagemapeditor-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kiriki ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kiriki-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kiten ====
Version update (17.12.2 -> 17.12.3)
Subpackages: fonts-KanjiStrokeOrders kiten-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kjumpingcube ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kjumpingcube-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== klettres ====
Version update (17.12.2 -> 17.12.3)
Subpackages: klettres-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== klines ====
Version update (17.12.2 -> 17.12.3)
Subpackages: klines-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kmahjongg ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kmahjongg-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kmediaplayer ====
Version update (5.43.0 -> 5.44.0)
Subpackages: kmediaplayer-devel libKF5MediaPlayer5

- Update to 5.44.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.44.0.php
- Changes since 5.43.0:
* None

==== kmines ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kmines-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kmouth ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kmouth-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kmplot ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kmplot-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== knavalbattle ====
Version update (17.12.2 -> 17.12.3)
Subpackages: knavalbattle-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== knetwalk ====
Version update (17.12.2 -> 17.12.3)
Subpackages: knetwalk-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kolf ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kolf-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kollision ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kollision-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kolourpaint ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kolourpaint-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== konquest ====
Version update (17.12.2 -> 17.12.3)
Subpackages: konquest-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kpat ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kpat-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kqtquickcharts ====
Version update (17.12.2 -> 17.12.3)

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== krdc ====
Version update (17.12.2 -> 17.12.3)
Subpackages: krdc-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kreversi ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kreversi-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== krfb ====
Version update (17.12.2 -> 17.12.3)
Subpackages: krfb-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== krita ====
Version update (3.3.3 -> 4.0.0)
Subpackages: krita-lang

- Update to 4.0.0:
* See https://krita.org/en/item/krita-4-0-0-released/
* Highlights:
+ SVG support
+ A new text tool
+ Python scripting
+ Easy coloring of line-art with the new Colorize Mask Tool
+ Masked brushes
+ New brush presets
* Known issues:
+ Krita 4 uses SVG for vector layers. This means that Krita 3
files with vector layers may not be loaded entirely
correctly. Keep backups!
+ Krita 4?s new text tool is still limited
+ The Reference Images Docker has been removed
- Drop conditionals for older distributions, it needs at least
boost 1.55 now which is only available in Tumbleweed and Leap 15

==== kshisen ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kshisen-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ksirk ====
Version update (17.12.2 -> 17.12.3)
Subpackages: ksirk-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kspaceduel ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kspaceduel-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ksquares ====
Version update (17.12.2 -> 17.12.3)
Subpackages: ksquares-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ksudoku ====
Version update (17.12.1 -> 17.12.3)
Subpackages: ksudoku-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.1:
* None

==== ksystemlog ====
Version update (17.12.2 -> 17.12.3)
Subpackages: ksystemlog-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kteatime ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kteatime-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ktimer ====
Version update (17.12.2 -> 17.12.3)
Subpackages: ktimer-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ktouch ====
Version update (17.12.2 -> 17.12.3)
Subpackages: ktouch-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== ktuberling ====
Version update (17.12.2 -> 17.12.3)
Subpackages: ktuberling-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kturtle ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kturtle-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kubrick ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kubrick-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== kwordquiz ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kwordquiz-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== libcontainers-common ====

- Configuration files should generally be tagged as %config(noreplace) in order
to keep the modified config files and to avoid losing data when the package
is being updated.
feature#crio

==== libdb-4_8 ====
Subpackages: db48-utils libdb-4_8-devel

- Add libdb-fix-atomic.patch to fix __atomic_compare_exchange clash
with GCCs builtin. Fixes build with GCC8 which now rejects this.

==== libgnome ====
Subpackages: libgnome-devel libgnome-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== libgnomeui ====
Subpackages: libgnomeui-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== libgpg-error ====
Subpackages: libgpg-error-devel libgpg-error0 libgpg-error0-32bit

- Backport upstream patch to fix AArch64 build:
* fix_aarch64.patch

==== libkdegames ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kdegames-carddecks-default libkdegames-devel libkdegames-lang
libkf5kdegames6

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== libkeduvocdocument ====
Version update (17.12.2 -> 17.12.3)
Subpackages: libKEduVocDocument5 libkeduvocdocument-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== libkgeomap ====
Version update (17.12.2 -> 17.12.3)
Subpackages: libKF5KGeoMap10_0_0 libkgeomap-devel

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== libkmahjongg ====
Version update (17.12.2 -> 17.12.3)
Subpackages: libKF5KMahjongglib5 libkmahjongg-devel libkmahjongg-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== libopenmpt ====
Version update (0.2.8461~beta26 -> 0.3.7)
Subpackages: libmodplug1 libopenmpt0

- Version update to 0.3.11:
* Various speedup improvements and features all around
* Fuzzying fixes

==== libqt5-qtmultimedia ====
Subpackages: libQt5Multimedia5 libqt5-qtmultimedia-devel

- Enable openal requirement in openSUSE only
* For SLE where that dependency is not available (bsc#886207)

==== libqt5-qtwebengine ====
Version update (5.10.0 -> 5.10.1)

- Also adjust the minimum versions of the private-headers-devel
subpackage's requirements
- Apply a fix to make QtWE-using applications actually compile against it
- Forward-port security backports from 5.9.5 LTS (up to Chromium 65.0.3325.146)
* qtwebengine-everywhere-src-5.10.1-security-5.9.5.patch from Fedora
* qtwebengine-everywhere-src-5.10.1-CVE-2018-6033.patch from Fedora
- Update to 5.10.1
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.10.1/?h=v5.10.1

==== libtirpc ====
Version update (1.0.2 -> 1.0.3)
Subpackages: libtirpc-netconfig libtirpc3 libtirpc3-32bit

- Remove ineffective --with-pic.
- Update to libtirpc 1.0.3
- clnt_dg_call: Fix a buffer overflow (CVE-2016-4429)
- Avoid choosing reserved ports in legacy RPC APIs
- rpcinfo: change order of version to be tried to 4, 3, 2
- includes 003-rpc-types.patch
- includes 004-replace-bzero-with-memset.patch
- includes 005-missing-includes.patch
- includes 011-Fix-typo-in-src-libtirpc.map-which-prevents-that-key.patch
- includes decls.patch
- Drop COPYING.GPLv2, GPLv2 code was removed from library
- Adjust include directory [bsc#1083902]

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- libxl: don't hardcode scheduler weight
83edaf44-libxl-dont-hardcode-sched-weight.patch
bsc#1086377
- libxl: fixes and improvements in migration APIs
64370c4b-libxl-MigrateBegin.patch,
99486799-libxl-MigrateConfirm.patch,
f5eacf2a-libxl-MigratePerform.patch,
4e6fcdb6-libxl-libxlDomObjFromDomain-cleanup.patch,
fe51dbda-libxl-use-FindByRef.patch,
60b3fcd9-libxl-MigratePrepare.patch,
3c89868c-libxl-lock-after-ListRemove.patch,
13e81fc6-libxl-EndJob-on-error.patch,
594b8b99-libxl-DefineXMLFlags-API-pattern.patch,
c66e344e-libxl-dont-deref-NULL.patch
bsc#1080957

==== libvorbis ====
Version update (1.3.5 -> 1.3.6)
Subpackages: libvorbis-devel libvorbis0 libvorbis0-32bit libvorbisenc2
libvorbisfile3 libvorbisfile3-32bit

- Split libvorbis-doc subpackage to a separate spec file for
reducing the dependencies
- Update to version 1.3.6:
* Fix CVE-2018-5146 - out-of-bounds write on codebook decoding.
* Fix CVE-2017-14632 - free() on unitialized data
* Fix CVE-2017-14633 - out-of-bounds read
* Fix bitrate metadata parsing.
* Fix out-of-bounds read in codebook parsing.
* Fix residue vector size in Vorbis I spec.
* Appveyor support
* Travis CI support
* Add secondary CMake build system.
* Build system fixes
- Build documents with doxygen, and many tex stuff;
this requires to disable parallel builds partially
- Move COPYING to license directory
- Drop obsoleted patches:
vorbis-fix-linking.patch
0001-CVE-2017-14633-Don-t-allow-for-more-than-256-channel.patch
0002-CVE-2017-14632-vorbis_analysis_header_out-Don-t-clea.patch
libvorbis-CVE-2018-5146.patch
- Fix VUL-0: libvorbis: Out of bounds memory write while processing
Vorbis audio data (CVE-2018-5146, bsc#1085687):
libvorbis-CVE-2018-5146.patch

==== libzypp-plugin-appdata ====
Version update (1.0.1+git.20170629 -> 1.0.1+git.20180321)

- Update to version 1.0.1+git.20180321:
* ZYpp AsHelper: install AS data into system cache: new python
helper to be a bit smarter (part of boo#996896).

==== lokalize ====
Version update (17.12.2 -> 17.12.3)
Subpackages: lokalize-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== lskat ====
Version update (17.12.2 -> 17.12.3)
Subpackages: lskat-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== mariadb ====
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- change %{extra_provides} macro from "mariadb_102" to "mariadb-102"
and use this macro in Provides/Obsoletes for mariadb, test,
tools, bench and errormessages subpackages to ensure a smooth
transition from SLE12 to SLE15 [fate#323756]
- remove "Provides: mariadb-errormessages = 10.1.25" that shouldn't
be needed anymore
- fix build on aarch64: compile a few more files with -O0
from https://jira.mariadb.org/browse/MDEV-14318
add patch mariadb-10.2.13-aarch_compilefix.patch

==== mbox-importer ====
Version update (17.12.2 -> 17.12.3)
Subpackages: mbox-importer-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== meld ====
Subpackages: meld-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== mozilla-nspr ====
Version update (4.18 -> 4.19)

- update to version 4.19
* changed order of shutdown cleanup to avoid a crash on Mac OSX
* build compatibility with Android NDK r16 and glibc 2.26

==== mozilla-nss ====
Version update (3.35 -> 3.36)
Subpackages: libfreebl3 libsoftokn3 mozilla-nss-certs mozilla-nss-tools

- update to NSS 3.36
New functionality
* Experimental APIs for TLS session cache handling
Notable Changes
* Replaces existing vectorized ChaCha20 code with verified
HACL* implementation.
- Removed patch as no longer needed: renegotiate-transitional.patch
upstream fix

==== multipath-tools ====
Version update (0.7.3+53+suse.140f4937e9e7 -> 0.7.3+59+suse.1b6191c26774)
Subpackages: kpartx multipath-tools-rbd

- Update to version 0.7.3+59+suse.1b6191c26774:
* libmultipath: don't reject maps with undefined prio (bsc#1085212,
bsc#1075129)
* multipathd: handle errors in uxlsnr as fatal (bsc#1086025)
- Update to version 0.7.3+57+suse.bb6be4c8b4ca:
* multipathd: fix signal blocking logic (bsc#1086025)
* multipath-tools: handle exit signal immediately (bsc#1086025)
* multipath: fix DEF_TIMEOUT use (bsc#1086014)
* multipath-tools: foreign/NVME implementation v2 (upstream accepted)
(bsc#1082419)

==== nautilus ====
Version update (3.28.0 -> 3.28.0.1)
Subpackages: gnome-shell-search-provider-nautilus libnautilus-extension1
nautilus-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
- Drop gnome-patch-translation BuildRequires: There are no patches
to be translated.
- Update to version 3.28.0.1:
+ Don't show other apps starred files. Note for users: Starred
files up to this point will be needed to be restarred.

==== nautilus-sendto ====
Subpackages: nautilus-sendto-lang

- Rewrite description and summary to be more accurate with current
package features set.

==== nmap ====
Version update (7.60 -> 7.70)

- Update to 7.70:
* 14 new NSE scripts
* iec-identify probes for the IEC 60870-5-104 SCADA protocol
* ssh-brute performs brute-forcing of SSH password credentials
* See https://nmap.org/changelog.html#7.70 for the complete changelog.

==== nss_ldap ====
Subpackages: nss_ldap-32bit

- bsc#1081768 missing nss_ldap and pam_ldap packages (plus dependencies)

==== okteta ====
Version update (17.12.2 -> 17.12.3)
Subpackages: okteta-devel okteta-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Use QStyle::SP_DialogCloseButton instead of hardcoding "dialog-close"
* Use icons with more BookmarksController actions
* Bump version to 0.24.3

==== ovmf ====
Version update (2017+git1510945757.b2662641d5 ->
2018+git1521096615.b3fa393f477a)
Subpackages: qemu-ovmf-x86_64

- Update to 2018+git1521096615.b3fa393f477a
+ OvmfPkg/QemuBootOrderLib: add ConnectDevicesFromQemu()
+ NetworkPkg/IScsiDxe: Fix the ISCSI connection failure in
certain case
+ OvmfPkg/QemuFlashFvbServicesRuntimeDxe: Clear C-bit when SEV is
active
+ OvmfPkg: include Tcg2Dxe module
+ OvmfPkg: simplify SecurityStubDxe.inf inclusion
+ OvmfPkg/AmdSevDxe: decrypt the pages of the initial SMRAM save
state map
+ OvmfPkg/SmmCpuFeaturesLib: SEV: encrypt+free pages of init.
save state map
+ OvmfPkg/PlatformPei: SEV: allocate pages of initial SMRAM save
state map
+ OvmfPkg/MemEncryptSevLib: find pages of initial SMRAM save
state map
+ MdeModulePkg/UsbMass: Retry CMD for MediaChanged sense key
+ NetworkPkg/HttpDxe: Support HTTP Delete Method
+ NetworkPkg/HttpBootDxe: Fix the incorrect error message output
+ MdeModulePkg: Add Boot Logo 2 Protocol
+ MdeModulePkg/UsbMass: Fix hot-plug USB CDROM can't be recognized
+ NetworkPkg: Read HttpTlsCipherList variable and configure it
for HTTPS session
+ NetworkPkg: Define one private variable for HTTPS to set Tls
CipherList
+ ArmVirtPkg: Add SafeIntLib and BmpSupportLib to DSC files
+ OvmfPkg: Add SafeIntLib and BmpSupportLib to DSC files
+ UefiCpuPkg/PiSmmCpuDxeSmm: fix infinite loop issue in SMM profile
+ MdeModulePkg Ppi/IoMmu.h: Add EFI_NOT_AVAILABLE_YET return
status code
+ MdeModulePkg/Core: fix feature conflict between NX and heap guard
+ ReadKeyStrokeEx always return key state
+ SecurityPkg: Tcg2Smm: Enable TPM2.0 interrupt support
+ MdeModulePkg/Partition: Fix media probe
+ NetworkPkg/HttpBootDxe: Avoid to corrupt HttpBootDxe setup screen
+ MdeModulePkg/UefiBootManagerLib: Skip the DNS device path node check
+ MdeModulePkg/Core: fix a logic hole in page free
+ OvmfPkg/BaseMemEncryptSevLib: Enable protection for newly
added page table
+ MdeModulePkg/Ip4Dxe: Add an independent timer for reconfig checking
+ NetworkPkg: Fix a memory leak issue in UDP6 driver
+ UefiCpuPkg/MtrrLib: Fix bug that may calculate wrong MTRR result
+ MdeModulePkg/DxeNetLib: Fix an error in packet length counting
+ NetworkPkg: Fix memory leak problem in PXE driver
+ MdeModulePkg/DxeHttpLib: Add boundary condition check
+ CryptoPkg/OpensslLib: Update OpenSSL version to 1.1.0g
+ MdeModulePkg/Core: Fix heap guard issues
+ NetworkPkg/HttpBootDxe: Break the HttpBoot Callback function
when meet redirect status
+ NetworkPkg/HttpBootDxe: Avoid the potential memory leak when
eror happen
+ MdeModulePkg/DxeIplPeim: fix incorrect page table split during
protecting
+ NetworkPkg/UefiPxeBcDxe: Allow the NULL configuration for
NewStationIP/NewSubnetMask
+ NetworkPkg/UefiPxeBcDxe: Fix Pxe.Dhcp() return status code
+ MdeModulePkg/Dhcp*: Check Media status before starting DHCP process
+ MdeModulePkg/Ip4Dxe: fix ICMP echo reply memory leak
+ NetworkPkg/DnsDxe: Update RetryCount/RetryInterval to comply
with UEFI spec
+ MdeModulePkg/TcpIoLib: Cancel TCP token if connect/accept is
timeout
+ MdeModulePkg/TcpIoLib: Check input Timeout before calling
CheckEvent() service
+ MdeModulePkg/DxeIpl: Mark page table as read-only
+ SecurityPkg:Tcg2Smm:Enabling TPM SIRQ interrupt support
+ MdeModulePkg/ScsiDisk: Return EFI_NO_MEDIA when no media presents
+ BaseTool/tools_def GCC5: enable optimization for ARM/AARCH64
DEBUG builds
+ UefiCpuPkg/CpuDxe: Initialize stack switch for MP
+ UefiCpuPkg/CpuExceptionHandlerLib: Add stack switch support
+ UefiCpuPkg PiSmmCpuDxeSmm: SMM profile and static paging mutual
exclusion
+ MdeModulePkg/NetLib: Fix an error when AIP doesn't support
network media state detection
+ MdeModulePkg/NetLib: Add NetLibDetectMediaWaitTimeout() API to
support EFI_NOT_READY media state detection
+ MdeModulePkg/Core/Dxe: log informative memprotect msgs at
DEBUG_INFO level
+ ArmVirtPkg/ArmVirtXen: move from Intel to generic BDS
+ MdeModulePkg/SerialDxe: Do not fail reset when SetAttributes is
not supported
+ MdeModulePkg/DxeCorePerformanceLib: add lock protection
+ OvmfPkg/QemuBootOrderLib: let an OFW devpath match multiple
UEFI boot opts
+ OvmfPkg/QemuBootOrderLib: skip already matched / appended UEFI
boot opts
+ MdeModulePkg/Core: Merge memory map after filtering paging
capability
+ ArmVirtPkg/PrePi: don't export PE/COFF and LZMA libraries via HOBs
+ MdeModulePkg/BdsDxe: fall back to a Boot Manager Menu loop
before hanging
+ SecurityPkg/SecureBootConfigDxe: Fix deleting signature data issue
+ CryptoPkg/IntrinsicLib: Fix the warning on memset
+ MdeModulePkg/DxeCore: Filter out all paging capabilities
+ CryptoPkg/TlsLib: Change the return type of TlsInitialize()
+ NetworkPkg/HttpDxe: Fix the incorrect SizeofHeaders in
HttpTcpReceiveHeader()
+ ArmVirtPkg: introduce ArmVirtMemInfoLib library class
+ ArmVirtPkg/PrePi: remove bogus primary core check
+ BaseTools/tools_def AARCH64 ARM: suppres PIE sections via
linker script
+ PcAtChipsetPkg: Define FixePCD's for RTC register values
+ MdeModulePkg EhciPei: Minor refinement about IOMMU
+ MdeModulePkg/UefiBootManagerLib: Remove assertion
+ MdeModulePkg EhciPei: Also check Buf against NULL to return error
+ MdeModulePkg/UsbMassStorageDxe: Check Get Max LUN status/value
+ MdeModulePkg/UsbBusDxe: Add UsbControlTransfer() error check
+ BaseTools: Fix a bug for single module build with GenC/GenMake option
+ MdeModulePkg/PiSmmCore: Fix an assert issue in pool free
+ BaseTools: Fix the bug to collect source files per build rule family
+ MdeModulePkg/UdfDxe: Avoid possible loss track of allocated buffer
+ MdeModulePkg/PartitionDxe: Merge the discovery of ElTorito into UDF
- Refresh ovmf-gdb-symbols.patch and ovmf-pie.patch
- Modify openssl tarball unpacking to fit the change in ovmf

==== p11-kit ====
Subpackages: libp11-kit0 libp11-kit0-32bit p11-kit-devel p11-kit-tools

- Use %license instead of %doc [bsc#1082318]

==== parley ====
Version update (17.12.2 -> 17.12.3)
Subpackages: parley-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== patterns-office ====

- Format with spec-cleaner

==== perl-DBI ====
Version update (1.640 -> 1.641)

- updated to 1.641
see /usr/share/doc/packages/perl-DBI/Changes
=head2 Changes in DBI 1.641 - 19th March 2018
Remove dependency on Storable 2.16 introduced in DBI 1.639
thanks to Ribasushi #60
Avoid compiler warnings in Driver.xst #59
thanks to pali #59

==== perl-Date-Manip ====

- set excludearch for 32bit platforms, package fails in testsuite
(bsc#1086297)

==== perl-Text-CSV_XS ====
Version update (1.34 -> 1.35)

- updated to 1.35
see /usr/share/doc/packages/perl-Text-CSV_XS/ChangeLog
1.35 - 2018-03-21, H.Merijn Brand
* Remove META.yml from MANIFEST.skip
* Use UNIVERSAL::isa to protect against unblessed references
* -Wformat warning (RT#123729)
* Make detect_bom result available
* It's 2018
* Add csv (out => \"skip") - suppress output deliberately
* Allow sub as top-level filter
* Tested against Test2::Harness-0.001062 (yath test)
* Tested against perl-5.27.10

==== php7 ====
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar php7-pgsql
php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem php7-sysvshm
php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter php7-xsl
php7-zip php7-zlib

- Fix build for %arm and aarch64
- drop imap extension [bsc#1084461]

==== pidgin ====
Subpackages: libpurple libpurple-lang libpurple-plugin-sametime libpurple-tcl

- Instead of removing the libjabber.so, liboscar.so symlinks, move
them to the devel package.

==== pim-data-exporter ====
Version update (17.12.2 -> 17.12.3)
Subpackages: pim-data-exporter-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== pim-sieve-editor ====
Version update (17.12.2 -> 17.12.3)
Subpackages: pim-sieve-editor-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== podofo ====
Subpackages: libpodofo-devel libpodofo0_9_5

- Add patches from upstream to fix many issues
(CVE-2017-5852, boo#1023067, CVE-2017-5853, boo#1023069,
CVE-2017-5854, boo#1023070, CVE-2017-5855, boo#1023071,
CVE-2017-5886, boo#1023380, CVE-2017-6840, boo#1027787,
CVE-2017-6844, boo#1027782, CVE-2017-6845, boo#1027779,
CVE-2017-6847, boo#1027778, CVE-2017-7378, boo#1032017,
CVE-2017-7379, boo#1032018, CVE-2017-7380, boo#1032019,
CVE-2017-7994, boo#1035534, CVE-2017-8054, boo#1035596,
CVE-2017-8787, boo#1037739, CVE-2018-5295, boo#1075026,
CVE-2018-5296, boo#1075021, CVE-2018-5308, boo#1075772,
CVE-2018-5309, boo#1075322, CVE-2018-8001, boo#1084894)
*
0001-fix-a-crash-when-passing-a-PDF-file-with-an-encryption-dictionary-ref.patch
* 0002-fix-stack-overflow-crash-when-XRef-record-references-itself.patch
* 0003-Fix-for-CVE-2017-5852-with-added-error-code.patch
* 0004-Fix-for-CVE-2017-5854.patch
* 0005-Fix-for-CVE-2017-5886.patch
* 0006-Extend-fix-for-CVE-2017-5852.patch
*
0007-Fix-CVE-2017-5853-signed-integer-overflow-and-CVE-2017-6844-buffer-overflow.patch
*
0008-Fix-infinite-loop-in-GetPageNumber-if-Parent-chain-contains-a-loop.patch
*
0009-Fix-CVE-2017-7379-encoding-array-too-short-to-encode-decode-code-point-0xffff.patch
*
0010-Fix-CVE-2017-5855-CVE-2018-5296-NULL-pointer-dereference-in-PoDoFo-PdfParser-ReadXRefSubsection.patch
*
0011-Fix-CVE-2017-6840-Out-of-bounds-read-in-ColorChanger-GetColorFromStack.patch
*
0012-Correct-fix-for-CVE-2017-6840-Too-strict-check-for-given-arguments.patch
*
0013-Fix-CVE-2017-6847-NULL-pointer-dereference-when-reading-XObject-without-BBox.patch
* 0014-Fix-CVE-2017-7378-Out-of-bounds-read-in-PdfPainter-ExpandTabs.patch
* 0015-Fix-CVE-2017-7380-NULL-dereference-in-PdfPage-GetFromResources.patch
* 0016-Fix-CVE-2017-7994-NULL-dereference-in-TextExtractor-ExtractText.patch
* 0017-Fix-a-memory-leak-on-document-load-exception-in-podofotxtextract.patch
*
0018-Fix-for-CVE-2017-8787-Read-out-of-buffer-size-in-PdfXRefStreamParserObject-ReadXRefStreamEntry.patch
* 0019-Changes-needed-to-compile-podofo.patch
* 0020-Fix-regression-from-0007.patch
*
0021-Fix-a-build-break-with-OpenSSL-1.1.0f-configured-with-disable-deprecated-option.patch
* 0022-Correct-boundary-comparison-in-PdfListField::GetItemDisplayText.patch
* 0023-Correct-in-parameter-test-in-PdfMemoryOutputStream-Write.patch
* 0024-Fix-CVE-2017-8054-Detect-cycles-in-PdfPagesTree.patch
* 0025-Related-to-CVE-2018-5308.patch
* 0026-Revert-part-of-0024.patch
* 0027-Correction-for-reverted-part-of-CVE-2017-8054-fix-in-0027.patch
*
0028-Fix-for-CVE-2018-5295-Integer-overflow-at-PdfXRefStreamParserObject-ParseStream.patch
* 0029-Try-to-address-an-eventual-use-after-free-in-PdfObject.patch
*
0030-Fix-CVE-2017-6845-Do-not-disable-PODOFO_RAISE_LOGIC_IF-for-Release-builds.patch
* 0031-Fix-clamping-avoiding-crashes-in-PdfPagesTree-InsertPage.patch
* 0032-Fix-wrong-use-of-memcpy-instead-of-wmemcpy.patch
*
0033-Fix-for-CVE-2018-5309-integer-overflow-in-the-PdfObjectStreamParserObject-ReadObjectsFromStream.patch
* 0034-Fix-for-CVE-2018-8001-heap-based-buffer-over-read-in-UnescapeName.patch
* fix-missing-include.patch

==== postfix ====
Subpackages: postfix-doc

- bsc#1082514 autoyast: postfix gets not set myhostname properly -
set to localhost

==== poxml ====
Version update (17.12.2 -> 17.12.3)
Subpackages: kde-l10n-devel poxml-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== python-gobject ====
Version update (3.28.0 -> 3.28.1)
Subpackages: python2-gobject python2-gobject-Gdk python2-gobject-cairo
python3-gobject python3-gobject-Gdk python3-gobject-cairo

- Update to version 3.28.1:
+ Fix a GValue leak (regression) (glgo#GNOME/pygobject#176).
+ Various fixes for Python 3.7 (glgo#GNOME/pygobject#170).

==== python-lxml ====
Version update (4.1.1 -> 4.2.0)
Subpackages: python2-lxml python3-lxml

- Version update to 4.2.0:
* GH#255: ``SelectElement.value`` returns more standard-compliant and
browser-like defaults for non-multi-selects. If no option is selected, the
value of the first option is returned (instead of None). If multiple
options
are selected, the value of the last one is returned (instead of that of the
first one). If no options are present (not standard-compliant)
``SelectElement.value`` still returns ``None``.
* GH#261: The ``HTMLParser()`` now supports the ``huge_tree`` option.
Patch by stranac.
* LP#1551797: Some XSLT messages were not captured by the transform error log.
* LP#1737825: Crash at shutdown after an interrupted iterparse run with
XMLSchema
validation.
- Add patch python-lxml-assert.patch to pass test fail on threading

==== python-pyOpenSSL ====

- Use %__python3 macro to call Python 3 binary

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-rbd qemu-block-ssh qemu-extra qemu-guest-agent
qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios
qemu-sgabios qemu-tools qemu-vgabios qemu-x86

- Fix issue with key codes in qemu v2.11
0078-Remove-problematic-evdev-86-key-fro.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Patches added:
0077-smbios-Add-1-terminator-if-any-stri.patch
bsc#994082 and bsc#1084316
- Add support for setting OEM strings table (fate#323624)
0076-smbios-support-setting-OEM-strings-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
- SLE15 KVM (as targeted for RC1) now has the feature exposed.
Drop the patch. (bsc#1082276)
0076-i386-Compensate-for-KVM-SPEC_CTRL-f.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
- Change example qemu-ifup script to not depend on bridge-utils.
Also update the paths used for ip binary.
- Eliminate bogus use of CPUID_7_0_EDX_PRED_CMD which we've
carried since the initial Spectre v2 patch was added. EDX bit
27 of CPUID Leaf 07H, Sub-leaf 0 provides status on STIBP, and
not the PRED_CMD MSR. Exposing the STIBP CPUID feature bit to the
guest is wrong in general, since the VM doesn't directly control
the scheduling of physical hyperthreads. This is left strictly to
the L0 hypervisor.

==== qemu-linux-user ====

- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Patches added:
0078-Remove-problematic-evdev-86-key-fro.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Patches added:
0077-smbios-Add-1-terminator-if-any-stri.patch
bsc#994082 and bsc#1084316
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Patches added:
0076-smbios-support-setting-OEM-strings-.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.11
* Patches dropped:
0076-i386-Compensate-for-KVM-SPEC_CTRL-f.patch

==== qqc2-desktop-style ====
Version update (5.43.0 -> 5.44.0)

- Update to 5.44.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.44.0.php
- Changes since 5.43.0:
* Fix syntax error in previous commit, detected by launching ruqola
* Show a radiobutton when we are showing an exclusive control
* fix some Qt 5.9 bugs
* implement MenuBarItem
* fix logic
* implement DelayButton
* New component: round button
* take into account toolbar position
* support colors for icons in buttons
* support --reverse
* icons in Menu fully functional
* consistent shadows with the new breeze style
* ame behavior as qwidget menus
* make icons actually work
* Some QStyles seem to not return sensible pixelmetrics here
* first rough icons support
* don't wrap around with mouse wheel

==== rdma-core ====
Subpackages: libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Add Provide/Obsolete for librdmacm in librdmacm1 (bsc#1086173)

==== re2 ====
Version update (20180201 -> 20180301)

- update to 2018-03-01:
* no longer linking against librd and libm
* other developer visible changes

==== readline ====
Subpackages: libreadline7 readline-devel readline-doc

- Update descriptions. Replace old $RPM_* vars with macros.
- Apply the upstream patches as well!!!
- Avoid self Provides/Obsoletes
- Rename basic package to readline to have the latest readline
version always within package readline again.
- Correct documentation path
- The obsoletes must be <=, as version stayed at 7.0
- Create separate readline7 package

==== ruby2.5 ====
Subpackages: libruby2_5-2_5 ruby2.5-devel ruby2.5-stdlib

- wrong files where installed from the macro files after adding
dump-version.rb

==== sane-backends ====
Subpackages: sane-backends-autoconfig sane-backends-devel

- Drop BuildRequires for libieee1284-devel and libieee1284
which is only needed for some parallel port scanners
but parallel port scanners are no longer supported
so that the backends canon_pp, hpsj5s, and mustek_pp
are no longer provided.
- Fixed installation of systemd unit files saned@.service
and saned.socket that enable socket based saned activation
which replaces xinetd (boo#1074054).

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Add patch to fix build with Qt < 5.10:
* 0001-Fix-build-with-Qt-5.10-Use-QString-instead-of-QLatin.patch

==== sound-juicer ====
Subpackages: sound-juicer-lang

- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).

==== step ====
Version update (17.12.2 -> 17.12.3)
Subpackages: step-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* None

==== sweeper ====
Version update (17.12.2 -> 17.12.3)
Subpackages: sweeper-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Adjust to "new" version of the thumbnail standard (kde#361482)

==== sysconfig ====
Subpackages: sysconfig-netconfig

- Use %license instead of %doc [bsc#1082318]

==== texlive ====

- Add patch biber-perl-5.30.dif to avoid trouble with perl 5.30 and biber
- Add missing dependencies for perl-biber (boo#1084900)
- Remove xorg-x11-devel and Mesa-devel from buildrequires.

==== texlive-specs-m ====

- Use font-config macros (boo#1083212) *with* xorg-x11-fonts-core
(for encodings), mkfontdir (ditto), and mkfontscale

==== texlive-specs-n ====

- Use font-config macros (boo#1083212) *with* xorg-x11-fonts-core
(for encodings), mkfontdir (ditto), and mkfontscale

==== transmission ====
Version update (2.92 -> 2.93)
Subpackages: transmission-common transmission-gtk transmission-gtk-lang

- Remove marketing from description.
- Update to version 2.93:
+ Mitigate dns rebind attacks against daemon CVE-2018-5702).
+ Fix crash on handshake if establishing DH shared secret fails.
+ Fix crash when switching to next tracker during announcement.
+ Fix potential issue during password salt extraction in OOM
situation.
+ Workaround glib_DEFUN- and glib_REQUIRE-related configuration
issue.
+ Fix building against OpenSSL 1.1.0+.
- Drop 0001-transmission-build-against-openssl-1.1.0.patch: fixed
upstream (commit id f91cf5a).
- Drop
0002-Fix-coding-style-and-building-with-TR_LIGHTWEIGHT.patch:
fixed upstream (commit id 8c8386a).
- Drop CVE-2018-5072.patch: fixed upstream (commit id cf7173df).
- Cleanup with spec-cleaner.
- Use https url.
- Use qmake/make_jobs macros for building qt binary.

==== ucode-intel ====

- fix the CPU detection modalias to meet current kernel logic.
(bsc#1084687)

==== umbrello ====
Version update (17.12.2 -> 17.12.3)
Subpackages: umbrello-lang

- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Fix duplicated adding of floating text widgets to scene on loading an xmi
file
* Fix 'Imported classes from file do not show available associations'
(kde#390901)
* Fixup of 0f09ef6fb
* Fix 'Notes diagram link could not be changed' (kde#390891)
* Increase shape part for resize marker to make it easier to select in low
zoom levels
* Fixup shape for alternate combined fragment widget
* Fix 'Vertical position of combined fragment widget else part is moved to
the vertical center after save/load cycle' (kde#390782)
* Fix 'Loading combined fragments from xmi file adds unwanted else part'
(kde#390780)
* Fix writing out state information in ticket body
* Fix 'Instable vertical position of alternate combined fragment widget'
(kde#390677)
* Fix 'Box widgets inside a combined fragment are not selectable' (kde#389357)
* Refactoring of global variables used by class CombinedFragmentWidget
* Fix 'Not possible to select notes under a fragment widget in sequence
diagrams' (kde#390509)
* Fix 'Could not set fill color for message widgets' (kde#390511)
* Fix 'No context menu entry for changing colors of a single selected message
widget' (kde#390508)

==== virtualbox ====
Version update (5.2.8_k4.15.10_1 -> 5.2.8_k4.15.11_1)
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11

- Further updates for Leap 15 kernel API changes.
- Remove extraneouos %posttrans macros
- Update so that the system will build on the new Leap 15 kernel.

==== which ====

- Use %license instead of %doc [bsc#1082318]

==== wicked ====
Version update (0.6.45 -> 0.6.47)
Subpackages: libwicked-0-6 wicked-service

- version-0.6.47
- ipoib: do not fail setup on mode or umcast set failure (bsc#1084462)
- bond: avoid reenslave failure in fail_over_mac mode (bsc#1083670)
- Fix show-xml filtering by interface name (issue #735,bsc#954758)
- version-0.6.46
- ifconfig: refresh state before link reenslave hotfix (bsc#1061051
- ethtool: query priv-flags bitmap first (bsc#1085020)
- util: fix a memory leak in ni_var_array_free
- client: refactor arp utility to add missed arp ping (bsc#1078245)
- dbus: omit zero-length hwaddr data properties

==== xdm ====
Subpackages: xdm-xsession

- require xinit, since /etc/X11/xdm/Xsession and /etc/X11/xdm/sys.xsession
are sourcing /etc/X11/xinit/xinitrc.common (boo#1084655)

==== xorg-x11-fonts ====
Subpackages: xorg-x11-fonts-core

- Cleanup packaging, see boo#1085143 for details:
* Remove special handling for openSUSE 12.2 and earlier.
* Mark fonts.{dir,scale} and encodings.dir as %ghost files instead
of %config. These files are created by the %posttrans scriptlets
so no need to ship these, also avoids creation of .rpmsave files.
Also track these files consistently for all subdirs.
* add .fonts-config-timestamp as %ghost, ignore if it is missing.
* remove encodings.dir from encodings directories.

==== xscreensaver ====
Subpackages: xscreensaver-data xscreensaver-data-extra xscreensaver-lang

- remove xorg-x11-devel from buildrequires, replaced
by extensive list of pkgconfig() style deps,

==== yast2-firstboot ====
Version update (4.0.3 -> 4.0.4)

- Added firstboot.glade symlink to include also the firstboot.xml
texts in the generated POT file, removed the old Makefile hack
(bsc#1085888)
- 4.0.4

==== yast2-fonts ====
Version update (3.2.0 -> 3.2.1)

- Fix paragraph end tag (boo#1084791).
- 3.2.1

==== yast2-ftp-server ====
Version update (4.0.3 -> 4.0.4)

- bnc#1084434
- use dash in port range definition
- 4.0.4

==== yast2-python-bindings ====
Version update (4.0.2 -> 4.0.3)

- Adapt the bindings to allow modules that will run in both python2
or python3. Also fix a py3 binary mistakenly packaged with the py2
bindings package (bsc#1074696).


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups